<?php
/*
Plugin Name: Disable The Comments 
Plugin URI: https://wordpress.org/plugins/disable-the-comments/
Description: Disable the Wordpress comments functions on your website.
Version: 0.0.6
Author: FALEME Jonathan
Author URI: https://omitsumorikudasai.com/
License: GPL2
*/

if (!is_admin() && !empty($_POST['comment'])) {
	$url = get_bloginfo('url');
	$referer = $_SERVER['HTTP_REFERER'];
	if (preg_match("#^{$url}#", $referer)) {
		$url = $referer;
	}
	wp_redirect( $url ); 
	exit;
}


function init_rm_c() {
	$post_types = get_post_types();
	foreach ($post_types as $post_type) {
		if(post_type_supports($post_type, 'comments')) {
			remove_post_type_support($post_type, 'comments');
			remove_post_type_support($post_type, 'trackbacks');
		}
	}
}
add_action('init', 'init_rm_c', 100);


function admin_init_rm_c(){
	global $pagenow;
	if ($pagenow == "edit-comments.php" || $pagenow == "comment.php") {
		wp_redirect(admin_url()); 
		exit;
	}
}
add_action('admin_init', 'admin_init_rm_c');


function comments_open_rm_c( $open, $post_id ) {
	$post = get_post( $post_id );
		// if ('post' == $post->post_type)
		$open = false;
	return $open;
}
add_filter('comments_open', 'comments_open_rm_c', 10, 2);


function manage_posts_columns_rm_c($defaults) {
	unset($defaults['comments']);
	return $defaults;
}
add_filter('manage_posts_columns', 'manage_posts_columns_rm_c');


function admin_menu_rm_c() {
	global $menu;
	$restricted = array(__('Comments'));
	end ($menu);

	while (prev($menu)) {
		$value = explode(' ',$menu[key($menu)][0]);
		if(in_array($value[0] != NULL?$value[0]:"" , $restricted)) {
			unset($menu[key($menu)]);
		}
	}

	remove_menu_page('edit-comments.php');
	remove_meta_box('dashboard_recent_comments', 'dashboard', 'core');
	remove_meta_box('dashboard_activity', 'dashboard', 'core');
	remove_meta_box('commentsdiv', 'post', 'normal');
	remove_meta_box('commentsdiv', 'page', 'normal');
	remove_meta_box('commentstatusdiv', 'post' , 'normal');
	remove_meta_box('commentstatusdiv', 'page' , 'normal');
}
add_action('admin_menu', 'admin_menu_rm_c', 100);


function comments_pings_rmc() {
	return false;
}
add_filter('comments_open', 'comments_pings_rmc', 20, 2);
add_filter('pings_open', 'comments_pings_rmc', 20, 2);


function comments_array_rm_c($comments) {
	$comments = array();
	return $comments;
}
add_filter('comments_array', 'comments_array_rm_c', 10, 2);


function wp_before_admin_bar_render_rm_c() {
    global $wp_admin_bar;
    $wp_admin_bar->remove_menu('comments');
}
add_action('wp_before_admin_bar_render', 'wp_before_admin_bar_render_rm_c');

?>